ipynb2html is a converter (renderer) of the [Jupyter Notebook Format](https://nbformat.readthedocs.io/en/stable/) 4.0+ to static HTML. It works both in Node.js and browser environment.

Packages
========

This repository contains the following packages, all published on [npm](https://www.npmjs.com/).

ipynb2html-core
---------------

This package provides the converter itself and some utilities with **no dependencies**. You have to provide your own syntax highlighter and Markdown, math and ANSI sequences renderer; or not, if you don’t need them.

ipynb2html
----------

This package builds on the ipynb2html-core and provides a complete, ready-to-go renderer configured with:

-   [marked](https://github.com/markedjs/marked) as Markdown renderer,

-   [KaTeX](https://github.com/KaTeX/KaTeX) as math renderer,

-   [anser](https://github.com/IonicaBizau/anser) as ANSI sequences renderer,

-   [highlight.js](https://github.com/highlightjs/highlight.js) as syntax highlighter.

Credits
=======

-   The renderer module is originally based on [notebookjs](https://github.com/jsvine/notebookjs) 0.4.2 developed by [Jeremy Singer-Vine](https://github.com/jsvine) and distributed under the [MIT License](http://opensource.org/licenses/MIT/).

-   The mathExtractor module is based on [mathjaxutils.js](https://github.com/jupyter/notebook/blob/6.0.1/notebook/static/notebook/js/mathjaxutils.js) from the [Jupyter Notebook](https://github.com/jupyter/notebook) 6.0.1 distributed under the [Modified BSD License](https://github.com/jupyter/notebook/blob/6.0.1/COPYING.md).

License
=======

This project is licensed under [MIT License](http://opensource.org/licenses/MIT/). For the full text of the license, see the [LICENSE](LICENSE) file.
